# Moderator API . votes

## Instance Methods

Returns the votes by the authenticated user for the specified submission within the specified series.

Inserts a new vote by the authenticated user for the specified submission within the specified series.

Lists the votes by the authenticated user for the given series.

Updates the votes by the authenticated user for the specified submission within the specified series. This method supports patch semantics.

Updates the votes by the authenticated user for the specified submission within the specified series.

### Method Details

`get(seriesId, submissionId, unauthToken=None, userId=None)`

    Returns the votes by the authenticated user for the specified submission within the specified series.

    Args:
      seriesId: integer, The decimal ID of the Series. (required)
      submissionId: integer, The decimal ID of the Submission within the Series. (required)
      unauthToken: string, User identifier for unauthenticated usage mode
      userId: string, A parameter

    Returns:
      An object of the form:

        {
          "vote": "A String",
          "flag": "A String",
          "id": {
            "seriesId": "A String",
            "submissionId": "A String",
          },
          "kind": "moderator#vote",
        }

`insert(seriesId, submissionId, body, unauthToken=None)`

    Inserts a new vote by the authenticated user for the specified submission within the specified series.

    Args:
      seriesId: integer, The decimal ID of the Series. (required)
      submissionId: integer, The decimal ID of the Submission within the Series. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "vote": "A String",
        "flag": "A String",
        "id": {
          "seriesId": "A String",
          "submissionId": "A String",
        },
        "kind": "moderator#vote",
      }

      unauthToken: string, User identifier for unauthenticated usage mode

    Returns:
      An object of the form:

        {
          "vote": "A String",
          "flag": "A String",
          "id": {
            "seriesId": "A String",
            "submissionId": "A String",
          },
          "kind": "moderator#vote",
        }

`list(seriesId, max_results=None, start_index=None)`

    Lists the votes by the authenticated user for the given series.

    Args:
      seriesId: integer, The decimal ID of the Series. (required)
      max_results: integer, Maximum number of results to return.
      start_index: integer, Index of the first result to be retrieved.

    Returns:
      An object of the form:

        {
        "items": [
          {
              "vote": "A String",
              "flag": "A String",
              "id": {
                "seriesId": "A String",
                "submissionId": "A String",
              },
              "kind": "moderator#vote",
            },
        ],
        "kind": "moderator#voteList",
      }

`patch(seriesId, submissionId, body, unauthToken=None, userId=None)`

    Updates the votes by the authenticated user for the specified submission within the specified series. This method supports patch semantics.

    Args:
      seriesId: integer, The decimal ID of the Series. (required)
      submissionId: integer, The decimal ID of the Submission within the Series. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "vote": "A String",
        "flag": "A String",
        "id": {
          "seriesId": "A String",
          "submissionId": "A String",
        },
        "kind": "moderator#vote",
      }

      unauthToken: string, User identifier for unauthenticated usage mode
      userId: string, A parameter

    Returns:
      An object of the form:

        {
          "vote": "A String",
          "flag": "A String",
          "id": {
            "seriesId": "A String",
            "submissionId": "A String",
          },
          "kind": "moderator#vote",
        }

`update(seriesId, submissionId, body, unauthToken=None, userId=None)`

    Updates the votes by the authenticated user for the specified submission within the specified series.

    Args:
      seriesId: integer, The decimal ID of the Series. (required)
      submissionId: integer, The decimal ID of the Submission within the Series. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "vote": "A String",
        "flag": "A String",
        "id": {
          "seriesId": "A String",
          "submissionId": "A String",
        },
        "kind": "moderator#vote",
      }

      unauthToken: string, User identifier for unauthenticated usage mode
      userId: string, A parameter

    Returns:
      An object of the form:

        {
          "vote": "A String",
          "flag": "A String",
          "id": {
            "seriesId": "A String",
            "submissionId": "A String",
          },
          "kind": "moderator#vote",
        }